Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.binder
Interface SubclassEntityContainer

All Known Subinterfaces:
  EntitySource, RootEntitySource, SubclassEntitySource

All Known Implementing Classes:
  AbstractEntitySourceImpl, EntitySourceImpl, RootEntitySourceImpl, RootEntitySourceImpl, SubclassEntitySourceImpl, SubclassEntitySourceImpl

    public interface SubclassEntityContainer

Contract for elements within a `EntityHierarchy` which can contain sub elements. Essentially this abstracts that common aspect away from both root and sub entities.

Method Summary
`void` | `add(SubclassEntitySource subclassEntitySource)`
`Iterable<SubclassEntitySource>` | `subclassEntitySources()`

Method Detail

### add

    void add(SubclassEntitySource subclassEntitySource)

### subclassEntitySources

    Iterable<SubclassEntitySource> subclassEntitySources()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.